curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingType": "DYNAMIC"
}
'{
"list": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:16:52.165Z",
"listId": "1",
"listVersion": 1,
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T18:16:52.395Z",
"updatedById": "123"
}
}Crie uma nova lista com a definição de lista de objetos fornecida.
curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingType": "DYNAMIC"
}
'{
"list": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:16:52.165Z",
"listId": "1",
"listVersion": 1,
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T18:16:52.395Z",
"updatedById": "123"
}
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
The request object used when creating a new object list.
O nome da lista, que deve ser globalmente exclusivo em todas as listas públicas no portal.
O ID do tipo de objeto que a lista armazenará.
O tipo de processamento da lista. É um dos seguintes: "SNAPSHOT", "MANUAL" ou "DYNAMIC".
A lista de propriedades personalizadas para vincular à lista. O nome da propriedade personalizada é a chave, o valor é o valor.
Show child attributes
Objeto de ramificação de filtro contendo os critérios de filtragem para a lista
Show child attributes
O ID da pasta em que a lista deve ser criada. Se deixado em branco, a lista será criada na raiz da estrutura de pastas da lista.
Show child attributes
Show child attributes
successful operation
The response for a list create request.
An object list definition.
Show child attributes